## bst-external 0.9.0

=== debian/changelog ===
bst-external (0.9.0-1) unstable; urgency=medium

  * Initial release (Closes: #919120)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 Jan 2019 14:23:25 -0500
