=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gnome,python3 --buildsystem=pybuild

# The tests need some work to pass in Debian
override_dh_auto_test:
	-dh_auto_test
