=== debian/watch ===
version=4
https://gitlab.com/BuildStream/@PACKAGE@/tags \
	.*/archive/.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
