## bst-external 0.18.0

=== debian/changelog ===
bst-external (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gnome & dh-sequence-python3
  * Build-Depend on python3-pytest-cov for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Sep 2019 07:29:33 -0400
