=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-python,
-               gnome-pkg-tools,
+               dh-sequence-gnome,
+               dh-sequence-python3,
                python3,
                python3-buildstream <!nocheck>,
                python3-ruamel.yaml <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-pytest-runner,
                python3-setuptools,
                python3-setuptools-scm
