=== debian/changelog ===
bst-external (0.29.0-2) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Dec 2022 14:31:34 -0500

bst-external (0.29.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #962613)
  * Drop B-D python3-pytest-cov (Closes: #962613)

 -- Bastian Germann <bage@debian.org>  Mon, 07 Nov 2022 19:28:20 +0100
