=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
                python3,
                python3-buildstream <!nocheck>,
                python3-ruamel.yaml <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-pytest-cov <!nocheck>,
                python3-pytest-runner,
                python3-setuptools,
-               python3-setuptools-scm
-Standards-Version: 4.3.0
+               python3-setuptools-scm,
+               python3-tomli
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/bst-external
 Vcs-Git: https://salsa.debian.org/gnome-team/bst-external.git
