=== debian/changelog ===
bst-external (0.30.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome
  * Update debian/watch
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 15:10:04 -0400
