=== debian/control ===
--- 
+++ 
@@ -1,14 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: bst-external
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
                dh-sequence-python3,
                python3,
                python3-buildstream <!nocheck>,
@@ -18,7 +13,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-tomli
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/bst-external
 Vcs-Git: https://salsa.debian.org/gnome-team/bst-external.git
