=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.com/BuildStream/@PACKAGE@/-/tags \
       archive/[\d.]+\.?(?:beta|rc)?[\d.]*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
